provider/local: gccgo test failure

Bug #1321521 reported by Dave Cheney on 2014-05-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core
High
Dave Cheney

Bug Description

FAIL: environ_test.go:316: net_juju_core_provider_local_test.TestConstraintsValidator.pN62_launchpad.net_juju_core_provider_local_test.localJujuTestSuite

[LOG] 0:00.093 INFO juju.provider.local opening environment "test"
[LOG] 0:00.290 TRACE juju.provider.local creating directory /tmp/gocheck-894385949183117216/16/.juju/test/storage
[LOG] 0:00.290 TRACE juju.provider.local creating directory /tmp/gocheck-894385949183117216/16/.juju/test/db
[LOG] 0:00.348 DEBUG juju.provider.local getAddressForInterface called for lxcbr0
[LOG] 0:00.348 DEBUG juju.provider.local found "127.0.0.1" as address for "lxcbr0"
[LOG] 0:00.348 TRACE juju.provider.local creating directory /tmp/gocheck-894385949183117216/16/.juju/test/storage
[LOG] 0:00.348 TRACE juju.provider.local creating directory /tmp/gocheck-894385949183117216/16/.juju/test/db
[LOG] 0:00.455 INFO juju.provider.local checking state port
[LOG] 0:00.455 INFO juju.provider.local checking API port
[LOG] 0:00.455 TRACE juju.provider.local Look for proxies?
[LOG] 0:00.455 TRACE juju.provider.local Proxies detected osenv.ProxySettings{Http:"http://10.245.64.1:3128/", Https:"http://10.245.64.1:3128/", Ftp:"", NoProxy:"10.0.3.1"}
[LOG] 0:00.491 INFO juju.provider.local opening environment "test"
[LOG] 0:00.684 TRACE juju.provider.local creating directory /tmp/gocheck-894385949183117216/16/.juju/test/storage
[LOG] 0:00.684 TRACE juju.provider.local creating directory /tmp/gocheck-894385949183117216/16/.juju/test/db
[LOG] 0:00.752 DEBUG juju.provider.local getAddressForInterface called for lxcbr0
[LOG] 0:00.752 DEBUG juju.provider.local found "127.0.0.1" as address for "lxcbr0"
environ_test.go:326:
    c.Assert(unsupported, gc.DeepEquals, []string{"cpu-cores", "cpu-power", "instance-type", "tags"})
... obtained []string = []string{"tags", "instance-type", "cpu-power", "cpu-cores"}
... expected []string = []string{"cpu-cores", "cpu-power", "instance-type", "tags"}

OOPS: 29 passed, 1 skipped, 1 FAILED
--- FAIL: TestLocal (24.49 seconds)
FAIL
FAIL launchpad.net/juju-core/provider/local 24.895s

Related branches

Changed in juju-core:
assignee: nobody → Dave Cheney (dave-cheney)
milestone: none → next-stable
status: New → In Progress
Changed in juju-core:
status: In Progress → Fix Committed
milestone: next-stable → 1.19.3
Curtis Hovey (sinzui) on 2014-05-23
Changed in juju-core:
importance: Undecided → High
Curtis Hovey (sinzui) on 2014-05-30
Changed in juju-core:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers